function drawsignbw(p,sz)
%--------------------------%
% Function drawsignbw(p,sz)%
% by Nawapak Eua-anant		%
% p = image						%
% sz = length of sign + -	%
% Draw sign of each pixel  %
% in the image p           %
%--------------------------%
N = size(p);
for i=1:N(1)
   for j=1:N(2)
      if (p(i,j)>0)
         c = [0 0 0];
      else
         c = [1 1 1];
      end
      t = line([j-sz/2 j+sz/2],[i i]);
      set(t,'color',c);
      if (p(i,j)>0)
         t = line([j j],[i-sz/2 i+sz/2]);
         set(t,'color',c);
      end
   end
end

